
<!--
	*
 	*	 PAGINAÇÃO
 	*
-->

	<?php
		$totalDePaginas = ceil($total/$tamanhoDaPagina);
		if($totalDePaginas != 1){
	?>
	<div class='row center'>
		<div class='col s12 grey-text'>
			<?php echo $total <=20 ? NULL : "Veja mais ".number_format(($total-$tamanhoDaPagina),0,',','.')." resultados!"; ?>
		</div>
	</div>
	<?php
	 } 
	?>



	<div class="row center">

		<ul class='pagination'>
			<?php
			// 
			// SETINHA DE NAVEGAÇÃO PARA ESQUERDA
			// 
			if($paginaAtual==1){
				$ativo = "disabled";
				$btn_href = "#!";
			}else{	
				$ativo = "waves-effect";
				$btn_href = "$APP_PATH_VERSION/?$busca"."p=".($paginaAtual-1);
			}

			echo "<li class='$ativo'>
			<a href='$btn_href'>
			<i class='material-icons'>chevron_left</i>
			</a>
			</li>";	


			// 
			// MIOLO (PAGINAS PARA NAVEGAR)
			// 

			if($totalDePaginas < 11){
				for($contador=1; $contador <= $totalDePaginas ; $contador++){ 

					if($contador==$paginaAtual)
						$ativo = "active teal";
					else
						$ativo = "waves-effect";

					echo "<li class='$ativo'>
					<a href='$APP_PATH_VERSION/?$busca"."p=$contador'>$contador</a>
					</li>";
				}
			}elseif($paginaAtual >= ($totalDePaginas-9)){
				for($contador=($totalDePaginas-10); $contador <= $totalDePaginas; $contador++){ 

					if($contador==$paginaAtual)
						$ativo = "active teal";
					else
						$ativo = "waves-effect";

					echo "<li class='$ativo'>
					<a href='$APP_PATH_VERSION/?$busca"."p=$contador'>$contador</a>
					</li>";
				}
			}elseif($paginaAtual > 5){
				for($contador=($paginaAtual-5); $contador <= ($paginaAtual+5) ; $contador++){ 

					if($contador==$paginaAtual)
						$ativo = "active teal";
					else
						$ativo = "waves-effect";

					echo "<li class='$ativo'>
					<a href='$APP_PATH_VERSION/?$busca"."p=$contador'>$contador</a>
					</li>";
				}
			}else{
				for($contador=1; $contador <= 10 ; $contador++){ 

					if($contador==$paginaAtual)
						$ativo = "active teal";
					else
						$ativo = "waves-effect";

					echo "<li class='$ativo'>
					<a href='$APP_PATH_VERSION/?$busca"."p=$contador'>$contador</a>
					</li>";
				}
			}

			// 
			// SETINHA DE NAVEGAÇÃO PARA DIREITA
			// 
			if($paginaAtual==$totalDePaginas){
				$ativo = "disabled";
				$btn_href = "#!";
			}else{	
				$ativo = "waves-effect";
				$btn_href = "$APP_PATH_VERSION/?$busca"."p=".($paginaAtual+1);
			}

			echo "<li class='$ativo'>
					<a href='$btn_href'>
						<i class='material-icons'>chevron_right</i>
					</a>
				</li>";	

			?>

		</ul>
	</div>